com.orsoncharts.axis

## Enum ValueAxis3DType

- java.lang.Object
- - java.lang.Enum<ValueAxis3DType>
  - - com.orsoncharts.axis.ValueAxis3DType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ValueAxis3DType>

      public enum ValueAxis3DType
      extends java.lang.Enum<ValueAxis3DType>

  An enumeration of the value axis types. A `ValueAxis3D` can be used in several different plot dimensions.
  Since:
    1.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VALUE` A value axis in a `CategoryPlot3D`.
    `X` An x-axis in an `XYZPlot`.
    `Y` A y-axis in an `XYZPlot`.
    `Z` A z-axis in an `XYZPlot`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValueAxis3DType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValueAxis3DType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALUE

          public static final ValueAxis3DType VALUE

      A value axis in a `CategoryPlot3D`.

    - #### X

          public static final ValueAxis3DType X

      An x-axis in an `XYZPlot`.

    - #### Y

          public static final ValueAxis3DType Y

      A y-axis in an `XYZPlot`.

    - #### Z

          public static final ValueAxis3DType Z

      A z-axis in an `XYZPlot`.

  - ### Method Detail

    - #### values

          public static ValueAxis3DType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValueAxis3DType c : ValueAxis3DType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValueAxis3DType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null